Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.description.java2wsdl
Class Java2WSDLUtils

    java.lang.Object
      org.apache.axis2.description.java2wsdl.Java2WSDLUtils

    public class Java2WSDLUtils

extends java.lang.Object

Field Summary
`static java.lang.String` | `HTTP`
`static char` | `PACKAGE_CLASS_DELIMITER`
`static java.lang.String` | `SCHEMA_NAMESPACE_EXTN`

Constructor Summary
`Java2WSDLUtils()`

Method Summary
`static java.lang.String` | `getPackageName(java.lang.String className, java.lang.ClassLoader classLoader)`
`static java.lang.String` | `getSimpleClassName(java.lang.String qualifiedName)` A method to strip the fully qualified className to a simple classname
`static boolean` | `isURL(java.lang.String entry)` check the entry for a URL.
`static java.lang.StringBuffer` | `namespaceFromClassName(java.lang.String className, java.lang.ClassLoader classLoader)`
`static java.lang.StringBuffer` | `namespaceFromClassName(java.lang.String className, java.lang.ClassLoader classLoader, NamespaceGenerator nsGen)`
`protected static java.lang.String` | `packageNameFromClass(java.lang.String name)`
`static java.lang.StringBuffer` | `schemaNamespaceFromClassName(java.lang.String packageName, java.lang.ClassLoader loader)`
`static java.lang.StringBuffer` | `schemaNamespaceFromClassName(java.lang.String packageName, java.lang.ClassLoader loader, NamespaceGenerator nsGen)`
`static java.lang.StringBuffer` | `targetNamespaceFromClassName(java.lang.String packageName, java.lang.ClassLoader loader, NamespaceGenerator nsGen)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HTTP

    public static final java.lang.String HTTP

See Also:
  Constant Field Values

### PACKAGE_CLASS_DELIMITER

    public static final char PACKAGE_CLASS_DELIMITER

See Also:
  Constant Field Values

### SCHEMA_NAMESPACE_EXTN

    public static final java.lang.String SCHEMA_NAMESPACE_EXTN

See Also:
  Constant Field Values

Constructor Detail

### Java2WSDLUtils

    public Java2WSDLUtils()

Method Detail

### isURL

    public static boolean isURL(java.lang.String entry)

  check the entry for a URL. This is a simple check and need to be improved

  Parameters:
    `entry` -

### getSimpleClassName

    public static java.lang.String getSimpleClassName(java.lang.String qualifiedName)

  A method to strip the fully qualified className to a simple classname

  Parameters:
    `qualifiedName` -

### namespaceFromClassName

    public static java.lang.StringBuffer namespaceFromClassName(java.lang.String className,
                                                                java.lang.ClassLoader classLoader)
                                                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### namespaceFromClassName

    public static java.lang.StringBuffer namespaceFromClassName(java.lang.String className,
                                                                java.lang.ClassLoader classLoader,
                                                                NamespaceGenerator nsGen)
                                                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### schemaNamespaceFromClassName

    public static java.lang.StringBuffer schemaNamespaceFromClassName(java.lang.String packageName,
                                                                      java.lang.ClassLoader loader)
                                                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### schemaNamespaceFromClassName

    public static java.lang.StringBuffer schemaNamespaceFromClassName(java.lang.String packageName,
                                                                      java.lang.ClassLoader loader,
                                                                      NamespaceGenerator nsGen)
                                                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### targetNamespaceFromClassName

    public static java.lang.StringBuffer targetNamespaceFromClassName(java.lang.String packageName,
                                                                      java.lang.ClassLoader loader,
                                                                      NamespaceGenerator nsGen)
                                                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getPackageName

    public static java.lang.String getPackageName(java.lang.String className,
                                                  java.lang.ClassLoader classLoader)
                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### packageNameFromClass

    protected static java.lang.String packageNameFromClass(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.